Gallery Platform API
Reference

List invoice payments

Lists the payments recorded against an invoice, newest first.

GET
/gallery/invoices/{id}/payments

Lists the payments recorded against an invoice, newest first.

Authorization

bearerAuth payments:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payments:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "invoice_id": "string",      "method": "manual",      "status": "pending",      "amount_cents": -9007199254740991,      "currency": "string",      "processor_ref": "string",      "received_at": "string",      "note": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}